function V = get(C,F)

% GCRF.GET
	
  switch F
   case 'numLabels'
	V = C.numLabels;
   case 'weights'
	V = C.weights;
   case 'defEdge'
	V = C.defEdge;
   case 'isotropic'
	V = C.isotropic;
   case 'symmetric'
	V = C.symmetric;
   case 'numNodeFeatures'
	V = size(C.weights.node,2)-1;
   case 'numhEdgeFeatures',
	V = size(C.weights.hEdge,3)-1;
   case 'numvEdgeFeatures',
	V = size(C.weights.vEdge,3)-1;
   otherwise
	error(sprintf('Unknown field ''%s''',F));
  end;

  
